# $Revision: 1.25 $, $Date: 2011/05/22 15:27:48 $
Summary:	Cluster configuration system to manage the cluster config file
Summary(pl.UTF-8):	System konfiguracji klastra do zarządzania jego plikiem konfiguracyjnym
Name:		ccs
Version:	2.03.10
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	379b560096e315d4b52e238a5c72ba4a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://sources.redhat.com/cluster/ccs/
BuildRequires:	cman-devel >= 2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Cluster configuration system to manage the cluster config file.

%description -l pl.UTF-8
System konfiguracji klastra do zarządzania jego plikiem
konfiguracyjnym.

%package devel
Summary:	Header files and static library for ccs
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteka statyczna ccs
Group:		Development/Libraries
# doesn't require base

%description devel
Header files and static library for ccs.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteka statyczna ccs.

%prep
%setup -q -n cluster-%{version}

%build
./configure \
	--cc="%{__cc}" \
	--cflags="%{rpmcflags} -Wall" \
	--ldflags="%{rpmldflags}" \
	--incdir=%{_includedir} \
	--ncursesincdir=%{_includedir}/ncurses \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--without_gfs \
	--without_gfs2 \
	--without_gnbd \
	--without_kernel_modules
%{__make} -C %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} -C %{name} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/cluster
touch $RPM_BUILD_ROOT%{_sysconfdir}/cluster/cluster.xml

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ccs_test
%attr(755,root,root) %{_sbindir}/ccs_tool
%attr(755,root,root) %{_sbindir}/ccsd
%dir %{_sysconfdir}/cluster
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cluster/cluster.xml
%{_mandir}/man5/cluster.conf.5*
%{_mandir}/man7/ccs.7*
%{_mandir}/man8/ccs*.8*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%files devel
%defattr(644,root,root,755)
%{_includedir}/ccs.h
%{_libdir}/libccs.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ccs.spec,v $
Revision 1.25  2011/05/22 15:27:48  qboosh
- updated to 2.03.10 (the last 2nd generation cluster release)
- removed optflags,include,compile patches

Revision 1.24  2009/11/03 22:01:26  sls
- added compile.patch

Revision 1.23  2008/03/07 12:57:47  hawk
- don't try to compile header file (trying to fix compilation on Ac)
- release 2

Revision 1.22  2007-04-06 10:41:51  qboosh
- dropped magma

Revision 1.21  2007/04/02 18:10:49  zbyniu
- up to 2.00.00

Revision 1.20  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.18  2006/09/12 07:22:10  sparky
- typo

Revision 1.17  2006/09/11 18:26:00  qboosh
- check-files cleanup

Revision 1.16  2006/09/04 01:19:30  zbyniu
- up to 1.03.00

Revision 1.15  2006/08/04 00:51:24  sparky
- added optflags patch, sed killed

Revision 1.14  2006/05/15 00:11:45  zbyniu
- up to 1.02.00

Revision 1.13  2006/04/16 21:31:40  glen
- fix chkconfig, rc-scripts deps

Revision 1.12  2006/04/16 21:05:39  glen
- use %service

Revision 1.11  2005/11/08 19:51:38  qboosh
- require magma 1.01

Revision 1.10  2005/11/06 00:05:40  arekm
- add init scripts

Revision 1.9  2005/11/05 23:35:21  arekm
- release 1.01.00

Revision 1.8  2005/05/03 15:03:25  arekm
- rel 1

Revision 1.7  2005/04/14 19:25:27  qboosh
- updated BRs, use optflags

Revision 1.6  2005/04/07 19:42:04  paszczus
- updated to 0.24
- removed old snap version
- release 0.1

Revision 1.5  2004/11/07 11:41:12  paladine
- cosmetics

Revision 1.4  2004/06/26 23:31:08  arekm
- fix URL

Revision 1.3  2004/06/26 23:26:40  arekm
- add cluster.xml

Revision 1.2  2004/06/25 16:21:57  qboosh
- pl

Revision 1.1  2004/06/25 10:27:04  arekm
- initial pld release
